import 'segment-typescript-definitions/common';
export declare type Input = IdentifyCall | GroupCall | TrackCall | PageCall | ScreenCall | AliasCall | BatchCall;
export declare type IdentifyInput = SegmentOptions<SegmentIdentify>;
export declare type GroupInput = SegmentOptions<SegmentGroup>;
export declare type TrackInput = SegmentOptions<SegmentTrackObject<SegmentEvents>>;
export declare type PageInput = SegmentOptions<SegmentPage>;
export declare type ScreenInput = SegmentOptions<SegmentScreen>;
export declare type AliasInput = SegmentOptions<SegmentAlias>;
export declare type BatchInput = SegmentOptions<SegmentIdentify | SegmentGroup | SegmentTrackObject<SegmentEvents> | SegmentPage | SegmentScreen | SegmentAlias>[];
export declare type IdentifyCall = ['identify', IdentifyInput];
export declare type GroupCall = ['group', GroupInput];
export declare type TrackCall = ['track', TrackInput];
export declare type PageCall = ['page', PageInput];
export declare type ScreenCall = ['screen', ScreenInput];
export declare type AliasCall = ['alias', AliasInput];
export declare type BatchCall = ['batch', BatchInput];
export declare function request<I extends Input>(token: string, input: I, externalIds?: SegmentExternalIds): Promise<void>;
